Bug 1228503 - Review Request: springframework-amqp - Support for Spring programming model with AMQP
Summary: Review Request: springframework-amqp - Support for Spring programming model w...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1231430
Blocks: 1215061
TreeView+ depends on / blocked
 
Reported: 2015-06-05 05:32 UTC by gil cattaneo
Modified: 2015-09-04 05:19 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-09-04 03:24:57 UTC
projects.rg: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2015-06-05 05:32:54 UTC
Spec URL: https://gil.fedorapeople.org/springframework-amqp.spec
SRPM URL: https://gil.fedorapeople.org/springframework-amqp-1.3.9-1.fc20.src.rpm

Description:
The Spring AMQP project applies core Spring concepts to the
development of AMQP-based messaging solutions. It provides
a "template" as a high-level abstraction for sending and
receiving messages. It also provides support for Message
driven POJOs with a "listener container". These libraries
facilitate management of AMQP resources while promoting the
use of dependency injection and declarative configuration.
In all of these cases, you will see similarities to the
JMS support in the Spring Framework.

Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9952428

Comment 2 Raphael Groner 2015-08-14 15:43:38 UTC
APPROVED.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 25 files have unknown license. Detailed output of
     licensecheck in /home/builder/fedora-review/1228503-springframework-
     amqp/licensecheck.txt
=> OK, License: ASL 2.0
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     springframework-amqp-javadoc
=> Package is noarch and documentation. Bug in fedora-review.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
=> tests get removed when without jinterface
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: springframework-amqp-1.3.9-1.fc24.noarch.rpm
          springframework-amqp-javadoc-1.3.9-1.fc24.noarch.rpm
          springframework-amqp-1.3.9-1.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: Datei oder Verzeichnis nicht gefunden
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

=> Bug??


Requires
--------
springframework-amqp (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.rabbitmq:amqp-client)
    mvn(org.springframework.retry:spring-retry)
    mvn(org.springframework:spring-context)
    mvn(org.springframework:spring-core)
    mvn(org.springframework:spring-tx)

springframework-amqp-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
springframework-amqp:
    mvn(org.springframework.amqp:spring-amqp)
    mvn(org.springframework.amqp:spring-amqp:pom:)
    mvn(org.springframework.amqp:spring-rabbit)
    mvn(org.springframework.amqp:spring-rabbit:pom:)
    osgi(org.springframework.amqp.spring-amqp)
    osgi(org.springframework.amqp.spring-rabbit)
    springframework-amqp

springframework-amqp-javadoc:
    springframework-amqp-javadoc



Source checksums
----------------
http://repo1.maven.org/maven2/org/springframework/amqp/spring-erlang/1.3.9.RELEASE/spring-erlang-1.3.9.RELEASE.pom :
  CHECKSUM(SHA256) this package     : 390669c1dcf9b217d39aee86159ab148e713349d8fd45afd34104af15b08bf5c
  CHECKSUM(SHA256) upstream package : 390669c1dcf9b217d39aee86159ab148e713349d8fd45afd34104af15b08bf5c
http://repo1.maven.org/maven2/org/springframework/amqp/spring-rabbit/1.3.9.RELEASE/spring-rabbit-1.3.9.RELEASE.pom :
  CHECKSUM(SHA256) this package     : 42fce6bfab1957ffdc0bb06f7c2e8b1fe337e295e6438326cd54e6c82b841a27
  CHECKSUM(SHA256) upstream package : 42fce6bfab1957ffdc0bb06f7c2e8b1fe337e295e6438326cd54e6c82b841a27
https://github.com/spring-projects/spring-amqp/archive/v1.3.9.RELEASE.tar.gz :
  CHECKSUM(SHA256) this package     : 782cca5914521c640d01f68e96210a7b06ec7daf834180f48d59c385cc33ea20
  CHECKSUM(SHA256) upstream package : 782cca5914521c640d01f68e96210a7b06ec7daf834180f48d59c385cc33ea20
http://repo1.maven.org/maven2/org/springframework/amqp/spring-amqp/1.3.9.RELEASE/spring-amqp-1.3.9.RELEASE.pom :
  CHECKSUM(SHA256) this package     : f1b44e2be5f9866214fea653baa5e8363d78ab6333a74bab0727fc1cfc190525
  CHECKSUM(SHA256) upstream package : f1b44e2be5f9866214fea653baa5e8363d78ab6333a74bab0727fc1cfc190525


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1228503
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 gil cattaneo 2015-08-14 17:40:00 UTC
Thanks!

New Package SCM Request
=======================
Package Name: springframework-amqp
Short Description: Support for Spring programming model with AMQP
Upstream URL: http://projects.spring.io/spring-amqp/
Owners: gil
Branches: f22 f23
InitialCC: java-sig

Comment 4 Gwyn Ciesla 2015-08-17 13:26:00 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2015-08-17 14:03:06 UTC
springframework-amqp-1.3.9-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/springframework-amqp-1.3.9-1.fc23

Comment 6 Fedora Update System 2015-08-17 14:30:09 UTC
springframework-amqp-1.3.9-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/springframework-amqp-1.3.9-1.fc22

Comment 7 Fedora Update System 2015-08-19 08:11:05 UTC
springframework-amqp-1.3.9-1.fc22 has been pushed to the Fedora 22 testing repository.

Comment 8 Fedora Update System 2015-09-04 03:24:55 UTC
springframework-amqp-1.3.9-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-09-04 05:19:31 UTC
springframework-amqp-1.3.9-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.